<div class="input__search--pn--group">
<!--  <div class="select__form-staff" *ngIf="showEmpTypeSelect">-->
<!--    <mb-select [mbDataSelects]="empTypeCodeList"-->
<!--               mbPlaceholder="&#45;&#45;{{'shared.label.all' | translate}}&#45;&#45;"-->
<!--               mbKeyLabel="label"-->
<!--               mbKeyValue="value"-->
<!--               [mbDisable]="mbDisable"-->
<!--               [(ngModel)]="empTypeCode"></mb-select>-->
<!--  </div>-->
  <div class="input__employee-code">
    <mb-multi-data-picker #dataPicker
                    [mbPlaceholder]="'common.employee.search' | translate "
                    [mbCanText]="mbCanText"
                    [mbLabelText]="mbLabelText"
                    [mbDisable]="mbDisable"
                    (inputChange)="onInputChange($event)"
                    (afterCloseModal)="keyWordSearch = ''; resetDataSearch();"
                    (oldInputValue)="oldInputSearch = $event"
                    [mbType]="mbType"
                    [mbShowError]="mbShowError"
                    [mbAutocomplete]="autocomplete"
                    [mbErrors]="mbErrors"
                    [mbErrorDefs]="mbErrorDefs"
                    [mbData]="data" [mbResultTpl]="dataTable" [mbResultHeader]="header"
                    [isMultiSelect]='true'
                    [(selected)]="selected" (selectedChange)="change($event)"></mb-multi-data-picker>
  </div>
</div>

<nz-autocomplete #autocomplete nzOverlayClassName="autocomplete__panel">
  <nz-list nzItemLayout="horizontal" [nzLoading]="loading" nzSize="small">
    <nz-auto-option class="autocomplete__item" *ngFor="let item of data; index as i"
                    [nzLabel]="item.fullName + (item.employeeCode ? ('-' + item.employeeCode) :'')"
                    (selectionChange)='keyUpEnterSelectItem($event, item)'
                    (click)='selectItem(item)'>
      <nz-list-item style='display: flex; flex-direction: row-reverse;'>
        <div style='padding-right: 5px'><label nz-checkbox [nzChecked]='isChecked(item)' (nzCheckedChange)='checkedChange($event, item)'> </label></div>
        <nz-list-item-meta
          [nzAvatar]="avatar"
          nzTitle="{{ item.fullName }}{{item.employeeCode ? (' - ' + item.employeeCode) :'' }}">
          <ng-template #avatar>
            <nz-avatar nzIcon="user" *ngIf="!listAvatar[i]"></nz-avatar>
            <nz-avatar [nzSrc]="listAvatar[i]" *ngIf="listAvatar[i]"></nz-avatar>
          </ng-template>
          <nz-list-item-meta-description>
            <small style="white-space: pre-wrap"><strong>{{ item.positionName }} - {{ item.orgName }}</strong></small>
          </nz-list-item-meta-description>
        </nz-list-item-meta>
      </nz-list-item>
    </nz-auto-option>
    <nz-list-empty *ngIf="data.length === 0"></nz-list-empty>
    <div *ngIf="data.length < count"
         class="loadmore">
      <mb-button class="emp__picker--view--all" mbButtonSize="VERY_LARGE" mbButtonBgColor="#141ED2"
                 mbButtonTextColor="#fff" mbButtonType="NO_BORDER" (click)="showModal()"
                 mbButtonText="{{'common.button.viewAll' | translate: {count: count} }}"></mb-button>
    </div>
  </nz-list>
</nz-autocomplete>

<ng-template #dataTable>
  <div class="group__emp--picker">

    <div nz-row [nzGutter]="[10,10]">
      <mb-select nz-col nzXs="24" nzLg="6" [mbDataSelects]="empTypeCodeList" *ngIf="showEmpTypeSelect"
                 mbPlaceholder="--{{'shared.label.all' | translate}}--"
                 mbKeyLabel="label"
                 mbKeyValue="value"
                 [mbDisable]="mbDisable"
                 [(ngModel)]="empTypeCode"
                 (ngModelChange)="resetDataSearch()"
      ></mb-select>

      <mb-input-text nz-col nzXs="24" nzLg="12" [mbShowFlexEnd]="false" mbPrefixIcon="search"
                     mbPlaceholderText="{{'common.employee.search'|translate}}"
                     [(ngModel)]="keyWordSearch"
                     (ngModelChange)="resetDataSearch()"
                     (keyup.enter)="getEmployeeData(keyWordSearch)"
      ></mb-input-text>
      <mb-button nz-col nzXs="24" nzLg="6" mbPrefixIcon="search"
                 style="margin-top: 4px" mbButtonSize="VERY_LARGE"
                 mbButtonTextColor="#fff" mbButtonType="NO_BORDER" (click)="getEmployeeData(keyWordSearch)"
                 mbButtonText="{{'common.label.search'|translate}}"
                 mbButtonBgColor="#141ED2"></mb-button>
    </div>

    <div class="emp__picker--groups" *ngIf="data.length > 0; else empty">
      <div nz-row class="emp__picker--items" [nzGutter]="[0, 20]" *ngFor="let item of data; index as i"
           (click)="selectItem(item)">
        <div nz-col nzXs="12" nzLg="1" class="emp__picker--item">
          <label nz-checkbox [nzChecked]='isChecked(item)' (nzCheckedChange)='checkedChange($event, item)'> </label>
        </div>
        <div nz-col nzXs="12" nzLg="3" class="emp__picker--item">
          <nz-spin nzSimple [nzIndicator]="indicatorTemplate">
            <ng-template #indicatorTemplate>
              <figure class="mb__figure figure__avt">
                <em *ngIf="listIsLoading[i]" class="icon__loading--avt" nz-icon nzType="loading"></em>
                <img [src]="listAvatar[i] ? listAvatar[i] : avtBase64Default" alt="">
              </figure>
            </ng-template>
          </nz-spin>
        </div>
        <div nz-col nzXs="12" nzLg="3" class="emp__picker--item">
        <span class="emp__picker--content">
          {{item?.employeeCode}}
        </span>
        </div>
        <div nz-col nzXs="12" nzLg="4" class="emp__picker--item">
        <span class="emp__picker--content">
          {{item?.fullName}}
        </span>
        </div>
        <div nz-col nzXs="12" nzLg="7" class="emp__picker--item">
        <span class="emp__picker--content">
          {{item?.positionName}}
        </span>
        </div>
        <div nz-col nzXs="12" nzLg="6" class="emp__picker--item">
          <span class="emp__picker--content">
            {{item?.orgName}}
          </span>
        </div>
      </div>
    </div>
    <ng-template #empty><nz-empty class="emp__picker--empty" [nzNotFoundContent]="null"></nz-empty></ng-template>
    <div *ngIf="data.length < count"
         class="emp__picker--load--more">
      <mb-button class="emp__picker--view--all" mbButtonSize="VERY_LARGE" mbButtonBgColor="#141ED2"
                 mbButtonTextColor="#fff" mbButtonType="NO_BORDER" (click)="getEmployeeDataInModal()"
                 mbButtonText="{{'common.button.viewMore' | translate: {count: (count -  data.length)} }}"></mb-button>
    </div>
  </div>
</ng-template>

<ng-template #header>
  <div nz-row class="modal__header">
    <div nz-col nzSpan="8">{{ 'common.label.searchResult' | translate }}</div>
    <div class="modal__header-result" nz-col nzSpan="8" nzOffset="8"><img src="assets/icon/common/light.svg" alt="">
      {{ 'common.employee.searchResultCount' | translate: {count} }}</div>
  </div>
</ng-template>



